using System;

namespace FlowBots.Util
{
	public sealed class FlowBotsProductVersion
	{
		public FlowBotsProductVersion.Product[] products { get; set; }

		internal static void smethod_0()
		{
		}

		public class Product
		{
			public Product()
			{
				DateTime dateTime = Delegate775.smethod_0(Delegate775.delegate775_0);
				this.LastCheckTime = Delegate782.smethod_0(ref dateTime, Delegate782.delegate782_0);
			}

			public int product_id { get; set; }

			public string product_name { get; set; }

			public string file_name { get; set; }

			public string file_version { get; set; }

			public string download_link { get; set; }

			public string product_link { get; set; }

			public long LastCheckTime { get; set; }

			public bool DoNotShow { get; set; }

			internal static void smethod_0()
			{
			}

			internal static void smethod_1()
			{
			}

			internal static void smethod_2()
			{
			}
		}
	}
}
